### Method

# Gegl Processor get_buffer

#### Declaration [src]

    GeglBuffer*
    gegl_processor_get_buffer (
      GeglProcessor* processor
    )

#### Description [src]

Returns the (cache) buffer the processor is rendering into, another way of getting to the same pixel data is calling gegl_node_blit with flags indicating that we want caching and accept dirty data.

#### Return value

Type: `GeglBuffer`

The `GeglBuffer` rendered into.

The caller of the method takes ownership of the data, and is responsible for freeing it.